//This JSON was modified by AgentMindStorm (@agentms_). Please do not use this document without permission.
{
  "format_version" : "1.8.0",
  "animations" : {
    "animation.pufferfish.flop" : {
      "loop" : true,
      "animation_length": 6.0,
      "bones" : {
        "rightFin" : {
          "rotation" : [ 0.0, 0.0, "-22.5 * math.cos(240 * query.anim_time) - 12.5" ]
        },
        "leftFin" : {
          "rotation" : [ 0.0, 0.0, "22.5 * math.cos(240 * query.anim_time) + 12.5" ]
        }
      }
    },
    "animation.pufferfish.swim" : {
      "loop" : true,
      "animation_length": 6.0,
      "bones" : {
        "body" : {
          "position" : [ 0.0, "-1.06125 * math.cos(60 * query.anim_time) + 2.875", 0.0 ]
        },
        "rightFin" : {
          "rotation" : [ 0.0, 0.0, "-22.5 * math.cos(240 * query.anim_time) - 12.5" ]
        },
        "leftFin" : {
          "rotation" : [ 0.0, 0.0, "22.5 * math.cos(240 * query.anim_time) + 12.5" ]
        }
      }
    }
  }
}